Bug 1259691 - CVE-2015-5722 bind99: bind: malformed DNSSEC key failed assertion denial of service [fedora-22]
Summary: CVE-2015-5722 bind99: bind: malformed DNSSEC key failed assertion denial of s...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind99
Version: 22
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Tomáš Hozza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-5722
TreeView+ depends on / blocked
 
Reported: 2015-09-03 11:21 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-09-24 08:26 UTC (History)
2 users (show)

Fixed In Version: 9.9.7-7.P3.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-06 01:09:39 UTC
Type: ---


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2015-09-03 11:21:42 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-22 tracking bug for bind99: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2015-09-03 11:21:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1259087,1259691

# Description of your update
notes=Security fix for CVE-2015-5722

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1259087,1259691

Comment 2 Fedora Update System 2015-09-03 11:36:38 UTC
bind99-9.9.7-7.P3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14958

Comment 3 Fedora Update System 2015-09-03 11:42:11 UTC
bind99-9.9.7-7.P3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14954

Comment 4 Fedora Update System 2015-09-04 07:29:52 UTC
bind99-9.9.7-7.P3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update bind99'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14958

Comment 5 Fedora Update System 2015-09-04 07:34:00 UTC
bind99-9.9.7-7.P3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update bind99'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14954

Comment 6 Fedora Update System 2015-09-06 01:09:32 UTC
bind99-9.9.7-7.P3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-09-06 17:04:54 UTC
bind99-9.9.7-7.P3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-09-24 08:26:20 UTC
bind99-9.9.7-7.P3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.